
<?php session_start(); ?>

<html lang="pt">
<head>

<script type="text/javascript">
<!--
// desabilita lado direito do Mouse
var message="";
function clickIE()
{
    if (document.all)
    {
        (message);
        return false;
    }
}
function clickNS(e)
{
    if(document.layers||(document.getElementById&&!document.all))
    {
        if (e.which==2||e.which==3)
        {
            (message);
            return false;
        }
    }
}
if (document.layers)
{
    document.captureEvents(Event.MOUSEDOWN);
    document.onmousedown=clickNS;
}
else
{
    document.onmouseup=clickNS;
    document.oncontextmenu=clickIE;
}
document.oncontextmenu=new Function("return false")

function SomenteNumeroeLetras(e)
{

 if (window.event) //IE
    {
    tecla = e.keyCode;
    }
   else if (e.which) //FF
   {
    tecla = e.which;
   } 

	if(tecla > 64 && tecla < 91) // LETRAS MAIUSCULAS
		return true;
	else
	if(tecla > 96 && tecla < 123) // LETRAS MINUSCULAS
		return true;
	else
	if(tecla > 47 && tecla < 58) // numeros de 0 a 9
		return true;
	else
	if(tecla == 95) // caracter underline
		return true;
	else
	{
		if (tecla != 8) // backspace
		return false;
		else
		return true;
	}

}

function MM_callJS(jsStr) { //v2.0
  return eval(jsStr)
}
//-->
</script>

<meta name="description" content="Lucas Thompson" />
<title></title><meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<?php
include 'cnn.php';
include 'estilo.css';
include 'configs/conf_extras.php';
include 'configs/conf_reset.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Atenção: Para acessar essa pagina é preciso esta logado!"; }
else{
?>
</head>
<body>
<table width="510" border="1" background="imagens/bg2.jpg">
  <tr>
    <th width="660" scope="col"><table width="99%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="30"><img src="imagens/mu.gif" alt="" width="30" height="30"></td>
        <td width="480" background="imagens/mu_back.png">&nbsp;&nbsp;&nbsp;<strong>RESETAR PERSONAGEM</strong></td>
      </tr>
    </table>
      <br>
      <br>
      <form name="form1" method="post" action="">
        <table width="50%" border="0" cellspacing="2" cellpadding="0">
          <tr>
            <td width="20%">Personagem:</td>
            <td width="80%"><label>
              <select name="char" id="char">
        <?
		$Chars = mssql_query("select Name from Character where AccountID='".$login."'");
		for($p=0;$p<mssql_num_rows($Chars);$p++) {
		$Char=mssql_fetch_row($Chars);
		echo '<option value='.$Char[0].'>'.$Char[0].'</option>';
		}
		?>
              </select>
            </label></td>
          </tr>
          <tr>
            <td><label></label></td>
            <td><input name="prossegue" type="submit" class="submit" id="prossegue" value="Resetar">
              <a href="javascript:history.back(-1);">
              <input name="Voltar2" type="button" class="submit" id="Voltar2" onClick="MM_callJS('javascript:history.back(-1);')" value="Voltar">
            </a></td>
          </tr>
        </table>
      </form>
      <br></th>
  </tr>
</table>
</body>
</html>
<?php 
if($_POST['prossegue']) 
{
$char = $_POST['char'];
$DadosChar = mssql_fetch_row(mssql_query("select cLevel, Money, Resets, class from Character where Name='".$char."'"));
$VerificaStatus = mssql_fetch_row(mssql_query("select ConnectStat from MEMB_STAT where memb___id='".$login."'"));
$VerificaChar = mssql_num_rows(mssql_query("select Name from Character where Name='".$char."' and AccountID='".$login."'"));

	if($VerificaChar <= 0)
	{ 
		die("<script>alert('Atenção: Char Incorreto!'); 
			location='javascript:history.back()' </script>");
	}
	elseif($VerificaStatus >= 1)
	{
		die("<script>alert('Atenção:  Sua Conta está Logada, Favor Sair da Conta!'); 
			location='javascript:history.back()' </script>");
	}

  	// Dados Para Reset -  Free - Vip Simples - Vip Master
  	// Script by: TeraHertz
  	// Editado por: Malex
  
	// RESETS VIP SIMPLES

	if($DadosChar[0]<$levelvip)
	{
    	echo "<script>alert('Necessário Estar no Level: ( $levelvip ) Para Resetar'); 
    	location='javascript:history.back()'</script>";
	}
    elseif($DadosChar[1]<$moneyvip)
    {
        echo "<script>alert('Voce Precisa De: ( $moneyvip ) em ZEN'); 
        location='javascript:history.back()'</script>";        
    }
    
    if($tiporeset == 1)
    {
    	
        if ($DadosChar[3] != 64 && $DadosChar[3] != 65)
		{
			$resets_com_vip = 0;
		}
		
    	$CalculaPontos = ($pontosvip*$DadosChar[2]) + $pontosvip;
		
		mssql_query("update character set clevel=$level_apos_resetar_vip,
							leveluppoint=$CalculaPontos,
							experience=0,
							money=money-$moneyvip,
							resets=resets+1,
							rankmes=rankmes+1,
							semanaldif=semanaldif+1,
							strength=$resets_str_vip, 
							dexterity=$resets_agi_vip, 
							energy=$resets_ene_vip, 
							vitality=$resets_vit_vip,
							Leadership=$resets_com_vip
					where name='".$char."'");
					
		echo "<script>alert('$char resetado com sucesso... Pontos: ( $CalculaPontos )'); 
		location='javascript:history.back()'</script>";
		
    }
    elseif($tiporeset == 2)
    {
    	$CalculaPontos=$pontosvip;
    	
		mssql_query("update character set clevel=$level_apos_resetar_vip,
							leveluppoint=leveluppoint + cast($CalculaPontos as int),
							experience=0,
							money=money-$moneyvip,
							resets=resets+1,
							rankmes=rankmes+1,
							semanaldif=semanaldif+1
					where name='".$char."'");

		echo "<script>alert('$char resetado com sucesso... Pontos: ( $CalculaPontos )'); 
		location='javascript:history.back()'</script>";
					
    }
    elseif($tiporeset == 3)
    {
		if ($DadosChar[2]<1)
		{
			$CalculaPontos=$resetarpontos00_10_vip;
		}
    	elseif($DadosChar[2]<=10)
    	{
			$CalculaPontos=($resetarpontos00_10_vip*$DadosChar[2])+$resetarpontos00_10_vip;
    	}
    	elseif(($DadosChar[2]>=11)&&($DadosChar[2]<=50))
    	{
			$PontosGanhos0_10=10*$resetarpontos00_10_vip;
			$PontosGanhos11_50=(($DadosChar[2]-10)*$resetarpontos11_50_vip)+$resetarpontos11_50_vip;
			$CalculaPontos=$PontosGanhos0_10+$PontosGanhos11_50;
    	}
    	elseif(($DadosChar[2]>=51)&&($DadosChar[2]<=100))
    	{
    		$PontosGanhos0_10=10*$resetarpontos00_10_vip;
    		$PontosGanhos11_50=40*$resetarpontos11_50_vip;
    		$PontosGanhos51_100=(($DadosChar[2]-50)*$resetarpontos51_100_vip)+$resetarpontos51_100_vip;
    		$CalculaPontos=$PontosGanhos0_10+$PontosGanhos11_50+$PontosGanhos51_100;
		}
    	elseif(($DadosChar[2]>=101)&&($DadosChar[2]<=150))
    	{
    		$PontosGanhos0_10=10*$resetarpontos00_10_vip;
    		$PontosGanhos11_50=40*$resetarpontos11_50_vip;
    		$PontosGanhos51_100=50*$resetarpontos51_100_vip;
			$PontosGanhos101_150=(($DadosChar[2]-100)*$resetarpontos101_150_vip)+$resetarpontos101_150_vip;
        	$CalculaPontos=$PontosGanhos0_10+$PontosGanhos11_50+$PontosGanhos51_100+$PontosGanhos101_150;            
    	}
    	elseif(($DadosChar[2]>=151)&&($DadosChar[2]<=200))
    	{
    		$PontosGanhos0_10=10*$resetarpontos00_10_vip;
    		$PontosGanhos11_50=40*$resetarpontos11_50_vip;
    		$PontosGanhos51_100=50*$resetarpontos51_100_vip;
			$PontosGanhos101_150=50*$resetarpontos101_150_vip;
        	$PontosGanhos151_200=(($DadosChar[2]-150)*$resetarpontos151_200_vip)+$resetarpontos151_200_vip;
        	$CalculaPontos=$PontosGanhos0_10+$PontosGanhos11_50+$PontosGanhos51_100+$PontosGanhos101_150+$PontosGanhos151_200;
    	}
		elseif(($DadosChar[2]>=201)&&($DadosChar[2]<=300))
    	{
    		$PontosGanhos0_10=10*$resetarpontos00_10_vip;
    		$PontosGanhos11_50=40*$resetarpontos11_50_vip;
    		$PontosGanhos51_100=50*$resetarpontos51_100_vip;
     	   $PontosGanhos101_150=50*$resetarpontos101_150_vip;
     	   $PontosGanhos151_200=50*$resetarpontos151_200_vip;
     	   $PontosGanhos201_300=(($DadosChar[2]-200)*$resetarpontos201_300_vip)+$resetarpontos201_300_vip;
     	   $CalculaPontos=$PontosGanhos0_10+$PontosGanhos11_50+$PontosGanhos51_100+$PontosGanhos101_150+$PontosGanhos151_200+$PontosGanhos201_300;                   
		}
		elseif ($DadosChar[2]>=301)
     	{
    		$PontosGanhos0_10=10*$resetarpontos00_10_vip;
    		$PontosGanhos11_50=40*$resetarpontos11_50_vip;
    		$PontosGanhos51_100=50*$resetarpontos51_100_vip;
			$PontosGanhos101_150=50*$resetarpontos101_150_vip;
			$PontosGanhos151_200=50*$resetarpontos151_200_vip;
			$PontosGanhos201_300=50*$resetarpontos201_300_vip;
      		$PontosGanhos301_9999=(($DadosChar[2]-300)*$resetarpontos301_xxx_vip)+$resetarpontos301_xxx_vip;
      		$CalculaPontos=$PontosGanhos0_10+$PontosGanhos11_50+$PontosGanhos51_100+$PontosGanhos101_150+$PontosGanhos151_200+$PontosGanhos201_300+$PontosGanhos301_9999;
     	}
     	
        if ($DadosChar[3] != 64 && $DadosChar[3] != 65)
		{
			$resets_com_vip = 0;
		}
     	
     	mssql_query("update character set clevel=$level_apos_resetar_vip,
    						leveluppoint=$CalculaPontos,
    						experience=0,
    						money=money-$moneyvip,
    						resets=resets+1,
    						rankmes=rankmes+1,
    						semanaldif=semanaldif+1,
							strength=$resets_str_vip, 
							dexterity=$resets_agi_vip, 
							energy=$resets_ene_vip, 
							vitality=$resets_vit_vip,
							Leadership=$resets_com_vip
    				where name='".$char."'");

    	echo "<script>alert('$char resetado com sucesso... Pontos: ( $CalculaPontos )'); 
		location='javascript:history.back()'</script>";
    }

} } ?>